Go to shopping cart

Which iOS and Android devices are compatible with iSmartAlarm™?

  • iPhones and iPads running iOS 6.0 or higher.
  • Android smartphones running version 4.0 or higher.  

Your device also must be able to receive SMS messages.

Still need help? Submit a request
Powered by Zendesk